#ifndef INC_BULLETCLASS_H
#define INC_BULLETCLASS_H

#include <SDL/SDL.h>

class Bullet
{
	private:
        double x, y, hspeed, vspeed, direction;
        bool destroyed, enemyb;	
        int current_triangle;
	public:
		Bullet();
        void create( int _x, int _y, double _direction, bool _enemyb  );
		void show();
		void move( unsigned int terrain_grid[][9], unsigned int);
        bool get_destroyed();
        void destroy();
};

#endif /* INC_BULLETCLASS_H */
