#ifndef INC_DEFINES_H
#define INC_DEFINES_H

//window
#define WINDOW_WIDTH 640
#define WINDOW_HEIGHT 480

//keys
#define KEY_UP SDLK_w
#define KEY_LEFT SDLK_a
#define KEY_RIGHT SDLK_d
#define KEY_DOWN SDLK_s

//sprites
#define SPR_PLAYER_STAND 0
#define SPR_PLAYER_STAND_SW 0
#define SPR_PLAYER_STAND_NO_ARM 1
#define SPR_PLAYER_RUN 2
#define SPR_PLAYER_RUN_SW 2
#define SPR_PLAYER_RUN_NO_ARM 3
#define SPR_PLAYER_JUMP 4
#define SPR_PLAYER_JUMP_SW 4
#define SPR_PLAYER_JUMP_NO_ARM 5
#define SPR_PLAYER_AT 6
#define SPR_PLAYER_AT_SW 6
#define SPR_PLAYER_HANG 7
#define SPR_PLAYER_ARM_PISTOL 8
#define SPR_PLAYER_HEAD 9
#define SPR_BULLET_PISTOL 10
#define SPR_DOG_IDLE 11
#define SPR_DOG_RUN 12

//sounds
#define SND_PLAYER_LAND 0
#define SND_PLAYER_JUMP 1
#define SND_PLAYER_FOOTSTEP 2

//music
#define MUS_JUNGLE_1 0

#endif
