#ifndef INC_SOUNDCLASS_H
#define INC_SOUNDCLASS_H

#include <SDL/SDL.h>
#include <SDL/SDL_mixer.h>

class Sound
{
	private:
		Mix_Chunk *sample[3];
		Mix_Music *ogg[1];
	public:
		Sound();		
		void load();		
		void play_sound(unsigned int sound);
		void sound_set_volume(unsigned int sound, unsigned char volume);		
		bool sound_is_playing(unsigned int sound);
		void play_music(unsigned int music);
};

#endif /* INC_SOUNDCLASS_H */
