#include <SDL/SDL_opengl.h>
#include <SDL/SDL.h>

#define MAX_LEVEL_W 640*2 
#define MAX_LEVEL_H 480*2

//terrain functions
void load_terrain(unsigned int [][9], unsigned int *, unsigned int *, unsigned int *, unsigned char [MAX_LEVEL_W/16][MAX_LEVEL_H/16], unsigned char *, unsigned int );
bool place_free( unsigned int [][9], unsigned int, unsigned int, unsigned int, unsigned int, int);
bool place_free( unsigned int [][9], unsigned int, unsigned int, unsigned int, unsigned int, int[4], char);
bool line_free(unsigned int [][9], unsigned int, unsigned int, unsigned int, unsigned int, unsigned int);
bool in_triangle( unsigned int [][9], unsigned int, unsigned int, unsigned int );
bool draw_terrain(unsigned int [][9], unsigned int);
//void update_current_triangles(unsigned int [1][9], unsigned int, unsigned int, unsigned char, unsigned char, int []);
void set_triangles(unsigned int [][9], int*, int, int, char, char, unsigned int);
void set_triangle( unsigned int [][9], int*, int, int, unsigned int );
bool segment_collision( unsigned int, unsigned int, unsigned int, unsigned int, unsigned int, unsigned int, unsigned int, unsigned int, double *, double *);
bool is_side_of_triangle(unsigned int [][9], unsigned int, unsigned int, unsigned int, unsigned int, unsigned int);

//graphic functions
GLuint LoadTexture(char *);
void OpenGL_init();
void Draw_Texture(unsigned int, int, int, unsigned char, unsigned char, unsigned int, unsigned int, unsigned char, bool, int);
void draw_tiles(unsigned char [MAX_LEVEL_W/16][MAX_LEVEL_H/16], GLuint);
void set_camera(int, Sint16*, int, Sint16*, int, int);
